Log In
T276399
migrate services from bast1002 to bast1003
Closed, ResolvedPublic
Assigned To
MoritzMuehlenhoff
Authored By
RobH
Mar 3 2021, 10:09 PM
Tags
SRE (Backlog)
Patch-For-Review
Subscribers
Aklapper
MoritzMuehlenhoff
Description
This task will track the migration of bastion services from bast1002.wikimedia.org to bast1003.wikimedia.org.
Blockers
Order task: T275565
Racking/imaging task T276396
Checklist
- update bast1003 puppet roles and apply
- test bast1003
- create decommission task for bast1002
Details
ProjectSubject
operations/puppetDrop bastion role from bast1002
operations/puppetwmflib: Switch spec test to bast1003
operations/puppetMake bast1003 a bastion
Customize query in gerrit
Related Objects
Task Graph
Mentions
StatusAssignedTask
Unknown Object (Task)
ResolvedRobHT276396 (Need By: TBD) rack/setup/install bast1003.wikimedia.org
ResolvedMoritzMuehlenhoffT276399 migrate services from bast1002 to bast1003
RobH triaged this task as Medium priority.
Mar 3 2021, 10:09 PM
RobH created this task.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mar 3 2021, 10:09 PM
RobH added a parent task: T276396: (Need By: TBD) rack/setup/install bast1003.wikimedia.org.
Mar 3 2021, 10:09 PM
MoritzMuehlenhoff claimed this task.
Mar 4 2021, 7:48 AM
I'll take care of this once the new server has arrived.
MoritzMuehlenhoff removed a project: netops.
Mar 4 2021, 7:48 AM
RobH removed a subscriber: RobH.
Mar 4 2021, 3:43 PM
RobH added a comment.
Apr 1 2021, 6:03 PM
Please note bast1003 is now staged in netbox and is ready for new roles and migration as needed!
gerritbot added a comment.
Apr 6 2021, 9:05 AM
Change 677116 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):
[operations/puppet@production] Make bast1003 a bastion
https://gerrit.wikimedia.org/r/677116
gerritbot added a project: Patch-For-Review.
Apr 6 2021, 9:05 AM
gerritbot added a comment.
Apr 6 2021, 9:49 AM
Change 677116 merged by Muehlenhoff:
[operations/puppet@production] Make bast1003 a bastion
https://gerrit.wikimedia.org/r/677116
gerritbot added a comment.
Apr 6 2021, 9:56 AM
Change 677126 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):
[operations/puppet@production] wmflib: Switch spec test to bast1003
https://gerrit.wikimedia.org/r/677126
MoritzMuehlenhoff added a comment.
Apr 6 2021, 11:16 AM
bast1003 is up and running; I've sent an announcement to the ops list so that people update their configs. Will open a decom task next week.
MoritzMuehlenhoff updated the task description. (Show Details)
Apr 6 2021, 11:16 AM
gerritbot added a comment.
Apr 7 2021, 12:57 PM
Change 677126 merged by Jbond:
[operations/puppet@production] wmflib: Switch spec test to bast1003
https://gerrit.wikimedia.org/r/677126
gerritbot added a comment.
Apr 13 2021, 9:46 AM
Change 678807 had a related patch set uploaded (by Muehlenhoff; author: Muehlenhoff):
[operations/puppet@production] Drop bastion role from bast1002
https://gerrit.wikimedia.org/r/678807
gerritbot added a comment.
Apr 13 2021, 12:05 PM
Change 678807 merged by Muehlenhoff:
[operations/puppet@production] Drop bastion role from bast1002
https://gerrit.wikimedia.org/r/678807
MoritzMuehlenhoff closed this task as Resolved.
Apr 14 2021, 8:47 AM
bast1003 has now fully replaced bast1002. The decom task for bast1002 is T280110
MoritzMuehlenhoff updated the task description. (Show Details)
Apr 14 2021, 8:47 AM
Log In to Comment
Content licensed under Creative Commons Attribution-ShareAlike 3.0 (CC-BY-SA) unless otherwise noted; code licensed under GNU General Public License (GPL) or other open source licenses. By using this site, you agree to the Terms of Use, Privacy Policy, and Code of Conduct. · Wikimedia Foundation · Privacy Policy · Code of Conduct · Terms of Use · Disclaimer · CC-BY-SA · GPL